Mark an event as deleted

Requires the METER_DATA.DELETE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
referencestring or nullOptionalformat: "^.*$"10-256 characters
typeenum or nullOptionalRead-only
The type of meter data.
customer_idstring or nullOptional
The resource ID of the associated customer.
customer_referencestring or nullOptional
A custom reference assigned to the customer.
customerobject or nullOptional
meter_idstring or nullOptional
The resource ID of the meter.
meter_referencestring or nullOptional
A custom reference assigned to the meter.
pricing_plan_subscription_idstring or nullOptional
The resource ID of the associated pricing plan subscription.
pricing_plan_subscription_referencestring or nullOptional
A custom reference assigned to the pricing plan subscription.
pricing_plan_subscription_selectorobjectOptional
A selector to dynamically determine the subscription to use.
timestampdatetime or nullOptional
The associated timestamp presented in the ISO 8601 standard of the charge event, if not provided it will be set to 'now'.
created_atstring or nullOptionalRead-only
The associated timestamp presented in the ISO 8601 standard of the creation of the event in Solvimon.
meter_propertieslist of objects or nullOptional
The properties that provide information to give context to an event, used in the meter.
meter_valueslist of objects or nullOptional
The values used as input to calculate billable units, used in the meter.
cost_predictionobject or nullOptional
The cost prediction.
processed_detailsobject or nullOptional
Details of the result of processing the event.
deletedboolean or nullOptionalRead-only
Is MeterData marked as deleted.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error